org.codehaus.groovy.ast.decompiled

## Class ClassStub

- java.lang.Object
- - org.codehaus.groovy.ast.decompiled.ClassStub

-     public class ClassStub
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassStub(java.lang.String className, int accessModifiers, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaceNames)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassStub

          public ClassStub(java.lang.String className,
                           int accessModifiers,
                           java.lang.String signature,
                           java.lang.String superName,
                           java.lang.String[] interfaceNames)